//
//  DateMath.swift
//  NomNomNom
//
//  Created by Jeff Kelley on 10/9/15.
//  Copyright © 2015 Jeff Kelley. All rights reserved.
//

import Foundation

private let calendar = NSCalendar.currentCalendar()

extension NSDate {
    private var componentsAtMidnight: NSDateComponents {
        let components = calendar.components([.Year, .Month, .Day, .Hour, .Minute,
            .Second], fromDate: self)
        
        components.hour   = 0
        components.minute = 0
        components.second = 0
        
        return components
    }
    
    var midnightBefore: NSDate {
        return calendar.dateFromComponents(componentsAtMidnight)!
    }
    
    func midnightBeforeWithDayOffset(offset: Int) -> NSDate {
        let dayOffsetComponents = NSDateComponents()
        dayOffsetComponents.day = offset
        
        return calendar.dateByAddingComponents(dayOffsetComponents,
            toDate: midnightBefore,
            options: NSCalendarOptions())!
    }
    
    var midnightAfter: NSDate {
        return midnightBeforeWithDayOffset(1)
    }
}
