//
//  Delay.swift
//  SlowLauncher
//
//  Created by Jeff Kelley on 1/12/16.
//  Copyright © 2016 The Pragmatic Bookshelf. All rights reserved.
//

import Foundation

func performAfterDelay(delayInSeconds: NSTimeInterval = 1, action: Void -> Void) {
    let semaphore = dispatch_semaphore_create(0)
    
    let delayTime = dispatch_time(DISPATCH_TIME_NOW,
        Int64(NSTimeInterval(NSEC_PER_SEC) * delayInSeconds))
    
    let queue = dispatch_get_global_queue(DISPATCH_QUEUE_PRIORITY_BACKGROUND, 0)
    
    dispatch_after(delayTime, queue) {
        dispatch_semaphore_signal(semaphore)
    }
    
    dispatch_semaphore_wait(semaphore, DISPATCH_TIME_FOREVER)
    
    action()
}
