//
//  InterfaceController.swift
//  SlowLauncher WatchKit Extension
//
//  Created by Jeff Kelley on 1/12/16.
//  Copyright © 2016 The Pragmatic Bookshelf. All rights reserved.
//

import WatchKit
import Foundation


class InterfaceController: WKInterfaceController {
    
    override init() {
        super.init()
        
        performAfterDelay {
            NSLog("\(self.dynamicType).init()")
        }
    }

    override func awakeWithContext(context: AnyObject?) {
        super.awakeWithContext(context)
        
        performAfterDelay {
            NSLog("\(self.dynamicType).awakeWithContext(_:)")
        }
    }

    override func willActivate() {
        super.willActivate()
        
        performAfterDelay {
            NSLog("\(self.dynamicType).willActivate()")
        }
    }

    override func didDeactivate() {
        super.didDeactivate()

        performAfterDelay {
            NSLog("\(self.dynamicType).didDeactivate()")
        }
    }

}

class InterfaceControllerA: InterfaceController {}
class InterfaceControllerB: InterfaceController {}
class InterfaceControllerC: InterfaceController {}
class InterfaceControllerD: InterfaceController {}
