/***
 * Excerpted from "Developing for Apple Watch, Second Edition",
 * published by The Pragmatic Bookshelf.
 * Copyrights apply to this code. It may not be used to create training material,
 * courses, books, articles, and the like. Contact us if you are in doubt.
 * We make no guarantees that this code is fit for any purpose.
 * Visit http://www.pragmaticprogrammer.com/titles/jkwatch2 for more book information.
***/
//
//  ViewController.m
//  NotificationDummy
//
//  Created by Jeff Kelley on 2/9/16.
//  Copyright © 2016 The Pragmatic Bookshelf. All rights reserved.
//

#import "ViewController.h"

@interface ViewController ()

@end

@implementation ViewController

- (void)viewDidLoad {
    [super viewDidLoad];
    // Do any additional setup after loading the view, typically from a nib.
}

- (void)didReceiveMemoryWarning {
    [super didReceiveMemoryWarning];
    // Dispose of any resources that can be recreated.
}

- (IBAction)enqueueNotificationButtonPressed:(id)sender {
    UILocalNotification *note = [[UILocalNotification alloc] init];
    
    note.fireDate = [[NSDate date] dateByAddingTimeInterval:5.0];
    
//    note.alertTitle = @"Important Notification";
    note.alertBody = @"Luke wants to go to Toshi station to pick up some power converters.";
    
    UIMutableUserNotificationAction *allowAction = [UIMutableUserNotificationAction new];
    
    allowAction.identifier = @"allow";
    allowAction.title = @"Allow";
    allowAction.activationMode = UIUserNotificationActivationModeBackground;
    allowAction.authenticationRequired = NO;
    
    UIMutableUserNotificationAction *denyAction = [UIMutableUserNotificationAction new];
    
    denyAction.identifier = @"deny";
    denyAction.destructive = YES;
    denyAction.title = @"Deny";
    denyAction.activationMode = UIUserNotificationActivationModeBackground;
    denyAction.authenticationRequired = NO;
    
    UIMutableUserNotificationCategory *category = [UIMutableUserNotificationCategory new];
    
    category.identifier = @"UncleOwen";
    
    [category setActions:@[allowAction, denyAction]
              forContext:UIUserNotificationActionContextDefault];
    
    [category setActions:@[allowAction, denyAction]
              forContext:UIUserNotificationActionContextMinimal];
    
    UIUserNotificationSettings *settings =
    [UIUserNotificationSettings
     settingsForTypes:(UIUserNotificationTypeAlert)
     categories:[NSSet setWithObject:category]];
    
    [[UIApplication sharedApplication] registerUserNotificationSettings:settings];
    
    note.category = category.identifier;
    
    [[UIApplication sharedApplication] scheduleLocalNotification:note];
}

@end
