//
//  ExtensionDelegate.swift
//  TapALap WatchKit Extension
//
//  Created by Jeff Kelley on 10/23/15.
//  Copyright © 2015 The Pragmatic Bookshelf. All rights reserved.
//

import WatchKit
import WatchConnectivity

class ExtensionDelegate: NSObject, WKExtensionDelegate {

    func applicationDidFinishLaunching() {
        startSession()
        returnToInProgressRun()
    }
    
    lazy var sessionDelegate = SessionDelegate()
    
    func startSession() {
        WCSession.defaultSession().delegate = sessionDelegate
        WCSession.defaultSession().activateSession()
    }
    
    func returnToInProgressRun() {
        let userDefaults = NSUserDefaults.standardUserDefaults()
        
        if let _ = userDefaults.objectForKey("LapTimes") as? [NSTimeInterval],
            _ = userDefaults.objectForKey("StartDate") as? NSDate {
                WKInterfaceController.reloadRootControllersWithNames(
                    ["RunTimer"], contexts: nil)
        }
    }

    func applicationDidBecomeActive() {
        // Restart any tasks that were paused (or not yet started) while the application was inactive. If the application was previously in the background, optionally refresh the user interface.
    }

    func applicationWillResignActive() {
        // Sent when the application is about to move from active to inactive state. This can occur for certain types of temporary interruptions (such as an incoming phone call or SMS message) or when the user quits the application and it begins the transition to the background state.
        // Use this method to pause ongoing tasks, disable timers, etc.
    }

}
