//
//  SessionDelegate.swift
//  TapALap
//
//  Created by Jeff Kelley on 1/21/16.
//  Copyright © 2016 The Pragmatic Bookshelf. All rights reserved.
//

import UIKit
import WatchConnectivity

class SessionDelegate: NSObject, WCSessionDelegate {

    func session(session: WCSession,
        didReceiveApplicationContext applicationContext: [String : AnyObject]) {
            NSNotificationCenter.defaultCenter().postNotificationName(
                "ApplicationContextChanged", object: nil)
    }

    #if os(watchOS)
    func session(session: WCSession,
        didReceiveUserInfo userInfo: [String : AnyObject]) {
            if let trackDict = userInfo["TrackToDelete"] as? [String: AnyObject],
                track = Track(dictionaryRepresentation: trackDict) {
                    track.delete()
            }
    }
    #endif
