//
//  DateMath.swift
//  NomNomNom
//
//  Created by Jeff Kelley on 10/9/15.
//  Copyright © 2015 Jeff Kelley. All rights reserved.
//

import Foundation

extension NSDate {
    var midnightBefore: NSDate {
        let calendar = NSCalendar.currentCalendar()
        
        let components = calendar.components([.Year, .Month, .Day, .Hour, .Minute, 
            .Second], fromDate: self)
        
        components.hour   = 0 
        components.minute = 0 
        components.second = 0 
        
        return calendar.dateFromComponents(components)! 
    }
    
    var midnightAfter: NSDate {
        let calendar = NSCalendar.currentCalendar()
        
        let components = calendar.components([.Year, .Month, .Day, .Hour, .Minute,
            .Second], fromDate: self)
        
        components.hour   = 0
        components.minute = 0
        components.second = 0
        
        let midnightOf = calendar.dateFromComponents(components)!
        
        let oneDayComponents = NSDateComponents() 
        oneDayComponents.day = 1
        
        return calendar.dateByAddingComponents(oneDayComponents, toDate: midnightOf, 
            options: NSCalendarOptions())!
    }
}
